Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040387
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2019-03-14 12:112019-03-27 09:10
ReporterngarciaView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revisionf88298391cd5
ProjectionnoneETAnoneTarget VersionRR19Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040387: Two cash ups in local storage if the backoffice session is closed during the cash up

DescriptionTwo cash ups in local storage if the backoffice session is closed during the cash up. It causes the following orders to go to Errors While Importing POS Data with the following error as the JSON has the two cash up identifiers:

javax.persistence.EntityNotFoundException: No row with the given identifier exists: [OBPOS_App_Cashup#...]
Steps To ReproduceLink a terminal
Log in
Open Till
Do some orders
Open backoffice in the same browser (Back Office menu entry in the POS)
Return to POS
Do the Cash up but do not complete the Step 4
Log out in the backoffice
Return to POS
Post, print and close
Check the following error message is shown:

"The connection was restored. However, in the meantime, your session timed out. You must login again now to ensure proper synchronization. Your pending tickets will be saved."

Click on Log in again
Open Till again
Do some orders

Check the go to Errors While Importing POS Data

If you check the cashup table in browser's local storage, you could observe there are two records
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040379 closedmigueldejuana Two cash ups in local storage if the backoffice session is closed during the cash up 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2019-03-15 08:31 migueldejuana Type defect => backport
2019-03-15 08:31 migueldejuana Target Version => RR19Q1
2019-03-27 09:10 plujan Target Version RR19Q1 => RR19Q1.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker